local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end

function onBegin()

  if getFlag("voltafoi2") then
  walkTo(-6609)
  disablePause()
  disableMovement()
  waitUntilOnGround()
  walkTo(-6643)
  wait(0.5)

  doFadeWipe(false)
  wait(1.3)

  setFlag("voltafoi2", false)
  setFlag("voltachegou2")

  end

end